org.bouncycastle.crypto.tls

## Class AlwaysValidVerifyer

- java.lang.Object
- - org.bouncycastle.crypto.tls.AlwaysValidVerifyer

All Implemented Interfaces:
  CertificateVerifyer

    public class AlwaysValidVerifyer
    extends java.lang.Object
    implements CertificateVerifyer

A certificate verifyer, that will always return true.

     DO NOT USE THIS FILE UNLESS YOU KNOW EXACTLY WHAT YOU ARE DOING.

### Constructor Summary

Constructors
Constructor and Description
`AlwaysValidVerifyer()`

### Method Summary

Methods
`boolean` `isValid(X509CertificateStructure[] certs)` Return true.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlwaysValidVerifyer

    public AlwaysValidVerifyer()

### Method Detail

#### isValid

    public boolean isValid(X509CertificateStructure[] certs)

Return true.

Specified by:
  `isValid` in interface `CertificateVerifyer`
Parameters:
  `certs` - The certs, which are part of the chain.
Returns:
  True, if the chain is accepted, false otherwise.
See Also:
  `CertificateVerifyer.isValid(org.bouncycastle.asn1.x509.X509CertificateStructure[])`